- Qt 6.8
- Qt Widgets
- C++ Classes
- QLabel
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QLabel

The following members of class QLabel are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` QPicture | picture(Qt::ReturnByValueConstant) const
`(deprecated)` QPixmap | pixmap(Qt::ReturnByValueConstant) const

## Member Function Documentation

### `[deprecated]` QPicture QLabel::picture(Qt::ReturnByValueConstant) const

This function is deprecated. We strongly advise against using it in new code.

Use the overload without argument instead.

Returns the label's picture.

Previously, Qt provided a version of `picture()` which returned the picture by-pointer. That version is now removed. This overload allowed to explicitly differentiate between the by-pointer function and the by-value.

### `[deprecated]` QPixmap QLabel::pixmap(Qt::ReturnByValueConstant) const

This function is deprecated. We strongly advise against using it in new code.

Use the overload without argument instead.

Returns the label's pixmap.

Previously, Qt provided a version of `pixmap()` which returned the pixmap by-pointer. That version has now been removed. This overload allowed to explicitly differentiate between the by-pointer function and the by-value.

     QPixmap pixmapVal = label->pixmap(Qt::ReturnByValue);

See also setPixmap().